> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/platform-service/zbc/account/describebalancealert.md).

# DescribeBalanceAlert

## 1. API Description

This API (DescribeBalanceAlert) is used to queries whether the balance alert is enabled for the current account and the configured alert threshold.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

None

## 3. Output Parameters

| Parameter Name | Type    | Description                                                                                                                                                                                                                                                                                                                            |
| -------------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| requestId      | String  | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p>                                                                                                                                                                                                                  |
| accountUid     | String  | Unique identifier of the account.                                                                                                                                                                                                                                                                                                      |
| enabled        | Boolean | <p>Whether the balance alert is enabled.</p><p>When this field is true but alertThreshold is empty, the alert is not actually triggered.</p>                                                                                                                                                                                           |
| alertThreshold | Float   | <p>Balance alert threshold.</p><p>A reminder email is triggered when the purchasing power (account balance + credit) falls below this value.</p><p>Empty if the account has never configured a threshold. The threshold is retained after the alert is disabled, so a value in this field does not mean that the alert is enabled.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Query the balance alert settings.**

```json
POST /api/v2/zbc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeBalanceAlert
<Common Request Params>

Request:
  {}

Response:
  {
    "requestId": "TE5A17B93-2C64-4D08-A7F1-90B3E6C825D7",
    "response": {
      "requestId": "TE5A17B93-2C64-4D08-A7F1-90B3E6C825D7",
      "accountUid": "cccbf4c0-12ab-417a-95ba-0bf8e60a55d1",
      "enabled": true,
      "alertThreshold": 100.00
    }
  }
```

**2. Query an account for which the alert is disabled.**

```json
POST /api/v2/zbc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeBalanceAlert
<Common Request Params>

Request:
  {}

Response:
  {
    "requestId": "TF0B24C87-6D31-4A9E-B583-1C7A4E20F6B9",
    "response": {
      "requestId": "TF0B24C87-6D31-4A9E-B583-1C7A4E20F6B9",
      "accountUid": "cccbf4c0-12ab-417a-95ba-0bf8e60a55d1",
      "enabled": false,
      "alertThreshold": null
    }
  }
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                   | Description                 |
| ---------------- | ---------------------------- | --------------------------- |
| 404              | INVALID\_ACCOUNT\_NOT\_FOUND | The account does not exist. |
